jogl
Documentation

Properties:

- html dir:
  /usr/local/projects/JOGL/jogl/doc/uml/html-svg/

# 1 Class View javax.media.opengl

OpenGL Interfaces - All

OpenGL Interfaces - Core Only

## 1.1 Class GL

Declaration :

- Java : public interface GL extends GLBase
- Php : public interface GL

Directly inherited by : GL2ES1 GL2ES2

Stereotype: interface

## 1.2 Class GL2ES1

Declaration :

- Java : public interface GL2ES1 extends GL
- Php : public interface GL2ES1

Directly inherited by : GL2 GL2ES12 GLES1

Stereotype: interface

## 1.3 Class GLES1

Declaration :

- Java : public interface GLES1 extends GL2ES1
- Php : public interface GLES1

Directly inherited by : GLES1Impl

Stereotype: interface

## 1.4 Class GL2

Declaration :

- Java : public interface GL2 extends GL2GL3
- Php : public interface GL2

Directly inherited by : GL3bc GL4bcImpl

Stereotype: interface

## 1.5 Class GL2ES2

Declaration :

- Java : public interface GL2ES2 extends GL
- Php : public interface GL2ES2

Directly inherited by : GL2ES12 GL2ES3 GL2GL3 GLES2

Stereotype: interface

## 1.6 Class GL2GL3

Declaration :

- Java : public interface GL2GL3 extends GL2ES2
- Php : public interface GL2GL3

Directly inherited by : GL2 GL3

Stereotype: interface

## 1.7 Class GL3

Declaration :

- Java : public interface GL3 extends GL2GL3
- Php : public interface GL3

Directly inherited by : GL3bc GL4 GL4bcImpl

Stereotype: interface

## 1.8 Class GLES2

Declaration :

- Java : public interface GLES2 extends GL2ES2
- Php : public interface GLES2

Directly inherited by : GLES3 GLES3Impl

Stereotype: interface

## 1.9 Class GLContext

Declaration :

- Java : package abstract class GLContext

Relation <association>

Declaration :

- Uml : - : GLDrawable, multiplicity : 1
- Java : private GLDrawable

Relation <association>

Declaration :

- Uml : - : GLBase, multiplicity : 1
- Java : private GLBase

## 1.10 Class GLDrawable

Declaration :

- Java : package abstract class GLDrawable

Relation <association>

Declaration :

- Uml : - : GLContext, multiplicity : 0..1
- Java : private GLContext

Relation <association>

Declaration :

- Uml : - : NativeWindow
- Java : private NativeWindow

## 1.11 Class GL4bcImpl

Declaration :

- Java : private class GL4bcImpl implements GL3, GL3bc, GL4bc, GL2, GL4

Stereotype: entity

## 1.12 Class GLES3Impl

Declaration :

- Java : private class GLES3Impl extends GLES3 implements GLES2

Stereotype: entity

## 1.13 Class GLES1Impl

Declaration :

- Java : private class GLES1Impl implements GLES1

Stereotype: entity

## 1.14 Class NativeWindow

Declaration :

- Java : package interface NativeWindow
- Php : interface NativeWindow

Stereotype: interface

Relation <association>

Declaration :

- Uml : - : AbstractGraphicsConfiguration
- Java : private AbstractGraphicsConfiguration

Relation <association>

Declaration :

- Uml : - : GLDrawable
- Java : private GLDrawable

## 1.15 Class AbstractGraphicsConfiguration

Declaration :

- Java : package abstract class AbstractGraphicsConfiguration

Relation chosen (<association>)

Declaration :

- Uml : - chosen : Capabilities, multiplicity : 1
- Java : private Capabilities chosen

Relation <association>

Declaration :

- Uml : - requested : Capabilities, multiplicity : 1
- Java : private Capabilities requested

Relation <association>

Declaration :

- Uml : - : NativeWindow
- Java : private NativeWindow

## 1.16 Class GLCapabilities

Declaration :

- Java : package class GLCapabilities extends Capabilities

Relation <association>

Declaration :

- Uml : - : GLProfile
- Java : private GLProfile

Relation <association>

Declaration :

- Uml : - : GLProfile
- Java : private GLProfile

## 1.17 Class Capabilities

Declaration :

- Java : package class Capabilities

Directly inherited by : GLCapabilities

Relation <association>

Declaration :

- Uml : - : AbstractGraphicsConfiguration
- Java : private AbstractGraphicsConfiguration

Relation <association>

Declaration :

- Uml : - : AbstractGraphicsConfiguration
- Java : private AbstractGraphicsConfiguration

## 1.18 Class GLProfile

Declaration :

- Java : package class GLProfile

Relation <association>

Declaration :

- Uml : - : GLCapabilities
- Java : private GLCapabilities

Relation <association>

Declaration :

- Uml : - : GLCapabilities
- Java : private GLCapabilities

## 1.19 Class GLBase

Declaration :

- Java : public interface GLBase
- Php : public interface GLBase

Directly inherited by : GL

Stereotype: interface

Relation <association>

Declaration :

- Uml : - : GLContext, multiplicity : 1
- Java : private GLContext

## 1.20 Class GL3bc

Declaration :

- Java : package interface GL3bc extends GL2
- Php : interface GL3bc

Directly inherited by : GL4bc GL4bcImpl

Stereotype: interface

## 1.21 Class GL4

Declaration :

- Java : package interface GL4 extends GL3
- Php : interface GL4

Directly inherited by : GL4bc GL4bcImpl

Stereotype: interface

## 1.22 Class GL4bc

Declaration :

- Java : package interface GL4bc extends GL3bc
- Php : interface GL4bc

Directly inherited by : GL4bcImpl

Stereotype: interface

## 1.23 Class GL2ES12

Declaration :

- Java : package class GL2ES12 implements GL2ES1, GL2ES2

Stereotype: entity

## 1.24 Class GLES3

Declaration :

- Java : public @interface GLES3 extends GL4ES3

Directly inherited by : GLES3Impl

Stereotype: @interface

## 1.25 Class GL4ES3

Declaration :

- Java : public @interface GL4ES3 extends GL3ES3

Directly inherited by : GL4 GLES3

Stereotype: @interface

## 1.26 Class GL3ES3

Declaration :

- Java : public @interface GL3ES3 extends GL2ES3

Directly inherited by : GL3 GL4ES3

Stereotype: @interface

## 1.27 Metaclass GL2ES3

Declaration :

- Java : package @interface GL2ES3

Directly inherited by : GL2GL3 GL3ES3

Stereotype: metaclass